@use 'sass:map';
@use '@angular/material'as mat;


@mixin set-fonts($theme) {
  $config: mat.get-typography-config($theme);
  $theme-font: map.get($config, font-family);

  // colors for text
  // $config: mat.get-color-config($theme);
  // $foreground-palette: map-get($config, foreground);
  // $text-color: mat.get-color-from-palette($foreground-palette, text);

  .font-config {
    font-family: $theme-font;
    // color: $text-color;
  }

  .container-header {
    // font-weight: bold;
    font-size: xx-large;
  }

  app-header-notification-button {
    .material-symbols-outlined {
      font-size: 24px;
    }
  }
}